Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  VBA Teile in Baugruppe

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   VBA Teile in Baugruppe (249 mal gelesen)
darthkali
Mitglied
Konstrukteur Formenbau


Sehen Sie sich das Profil von darthkali an!   Senden Sie eine Private Message an darthkali  Schreiben Sie einen Gästebucheintrag für darthkali

Beiträge: 65
Registriert: 24.02.2010

Win 7 64Bit
Solid Works 2016
Intel Xeon CPU E3-1240 v5
16GB RAm
nvidia Quadro M2000 (4GB)

erstellt am: 15. Mrz. 2017 15:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich bin mal wieder auf der Suche nach einem VBA Code.
Und zwar möchte ich einen Code schreiben, der mir allte Teile, die im Ordner sind mit denen vergleicht, die in der Baugruppe sind.
Also benötige ich einen Code, der mir alle teile am besten in einem Array auflistet.
Aber nur in SW selber. Wie ich die Teile aus dem ordner auslese, habe ich bereits herausgefunden.

In der API habe ich bereits folgendes gefunden: "GetComponents Method"
Jedoch bekomme ich da kein ergebnis. Vlt mache ich aber auch was falsch.

Grüße Danny

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nahe
Mitglied



Sehen Sie sich das Profil von nahe an!   Senden Sie eine Private Message an nahe  Schreiben Sie einen Gästebucheintrag für nahe

Beiträge: 1281
Registriert: 18.01.2001

arbeite mit:
HP Z440 Workstation
Xenon (12-Kern) 3.5GHz
32GB RAM
238GB SSD
------------------------
SWX-2016 SP5.0
DBWorks-R15 SP2.9
----------------
Windows 7 64 bit
----------------
VB
VBA
Lotus Notes Datenbanken
erste Schritte mit Swift

erstellt am: 15. Mrz. 2017 16:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für darthkali 10 Unities + Antwort hilfreich

Hallo Danny,

Du schreibst,
"Jedoch bekomme ich da kein ergebnis. Vlt mache ich aber auch was falsch."

da Du Deinen Code nicht gepostet hast, wird es schwierig sein,
Dir zu sagen, ob Du was falsch machst :-)

Aber bei einer einfachen Baugruppe funktioniert,
bei mir zumindest, der Code unten

Sub main()
    Dim swApp      As SldWorks.SldWorks
    Dim ss         As SldWorks.AssemblyDoc
    Dim arr()      As SldWorks.Component2
    Dim n          As Variant
   

    Set swApp = Application.SldWorks
    Set ss = swApp.ActiveDoc
    arr = ss.GetComponents(False)
   
    Debug.Print "  -----------------------------"
    For Each n In arr
      Debug.Print n.Name2
    Next
End Sub


------------------
Grüße
Heinz

[Diese Nachricht wurde von nahe am 15. Mrz. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Torsten Niemeier
Ehrenmitglied V.I.P. h.c.
Maschinenbau Ingenieur



Sehen Sie sich das Profil von Torsten Niemeier an!   Senden Sie eine Private Message an Torsten Niemeier  Schreiben Sie einen Gästebucheintrag für Torsten Niemeier

Beiträge: 2907
Registriert: 21.06.2001

"ZUSE I.36", 8 BIT, 32 Lämpchen, Service-Ölkännchen "ESSO-Super", Software: AO auf Kuhlmann-Parallelogramm-Plattform
** CSWP 04/2011 **
** CSWE 08/2011 **

erstellt am: 15. Mrz. 2017 20:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für darthkali 10 Unities + Antwort hilfreich

Hallo Heinz.

Das funktioniert aber tatsächlich nur bei einer Baugruppe mit einer Ebene.
Um sicherzugehen, sollte Danny wohl besser in der API-Hilfe nach
'Traverse Assembly at Component Level' suchen.
Die Komponenten in ein (globales) Array zu packen, sollte nicht das größte Problem sein...

Gruß, Torsten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nahe
Mitglied



Sehen Sie sich das Profil von nahe an!   Senden Sie eine Private Message an nahe  Schreiben Sie einen Gästebucheintrag für nahe

Beiträge: 1281
Registriert: 18.01.2001

arbeite mit:
HP Z440 Workstation
Xenon (12-Kern) 3.5GHz
32GB RAM
238GB SSD
------------------------
SWX-2016 SP5.0
DBWorks-R15 SP2.9
----------------
Windows 7 64 bit
----------------
VB
VBA
Lotus Notes Datenbanken
erste Schritte mit Swift

erstellt am: 16. Mrz. 2017 06:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für darthkali 10 Unities + Antwort hilfreich

Hallo Torsten,

danke für den Hinweis!

------------------
Grüße
Heinz

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

darthkali
Mitglied
Konstrukteur Formenbau


Sehen Sie sich das Profil von darthkali an!   Senden Sie eine Private Message an darthkali  Schreiben Sie einen Gästebucheintrag für darthkali

Beiträge: 65
Registriert: 24.02.2010

Win 7 64Bit
Solid Works 2016
Intel Xeon CPU E3-1240 v5
16GB RAm
nvidia Quadro M2000 (4GB)

erstellt am: 17. Mrz. 2017 12:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke! 

Ich werde mir das mal anschauen.

Grüße Danny

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de